/*
 * Copyright (c) 2024 Arduino
 *
 * SPDX-License-Identifier: MPL-2.0
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#pragma once

/**************************************************************************************
 * INCLUDE
 **************************************************************************************/

#include <time.h>

/**************************************************************************************
 * NAMESPACE
 **************************************************************************************/

namespace opcua
{

/**************************************************************************************
 * FUNCTION DECLARATION
 **************************************************************************************/

/**
 * Converts a date/time string as generated by __DATE__ into a time_t value.
 * @param time current time as generated by __DATE__.
 * @return String converted into Unix Time (seconds since Epoch)
 */
time_t timeToStr(char const * time);

/**************************************************************************************
 * NAMESPACE
 **************************************************************************************/

} /* opcua */
